/*
 * Copyright 2012 Peter Lebbing <peter@digitalbrains.com>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef FILE_COMMON_H
#define FILE_COMMON_H

#define F_CPU 20000000UL

/* Load oscillator calibration from EEPROM cell 0 */
#define USE_EEPROM_OSCCAL 0

#ifdef __ASSEMBLER__
/* Definitions for assembler routines */

#ifdef _SFR_IO_ADDR
#	define IO(addr) _SFR_IO_ADDR(addr)
#endif /* def _SFR_IO_ADDR */

#else /* ndef __ASSEMBLER__ */
/* Definitions for C routines */

#endif /* def __ASSEMBLER__ */

#endif /* ndef FILE_COMMON_H */
